#include <bits/stdc++.h>
using namespace std;
int n;
int e;
vector<pair<int, int>> l;
int maxx[10000000], ans, m;
int checkCut(int a){
    int ans=0;
    for(int i=0; i<n; i++) {
        if(l[i].first > a) break;
        ans+=(a >= l[i].first && l[i].second >= a+1);
    }
    return ans;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    for(int i=0; i<n; i++){
        l.push_back({});
        cin>>l[i].first>>l[i].second;
        e=max(e, l[i].second);
    }
    sort(l.begin(), l.end());
    for(int i=0; i<e; i++) {
        maxx[i]=checkCut(i);
        m=max(m, maxx[i]);
    }
    for(int i=0; i<e; i++) ans+=(maxx[i]==m);
    cout<<m<<"\n"<<ans<<"\n";
    return 0;
}
